﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GridPasteSample
{
    public partial class Form1 : Form
    {
        private IntLookupMngt intLookupMngt = new IntLookupMngt();
        private StrLookupMngt strLookupMngt = new StrLookupMngt();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            SetGrid();
        }
        List<GridObject> GridObjectList
        {
            get { return gridObjectBindingSource.DataSource as List<GridObject>; }
            set { gridObjectBindingSource.DataSource = value; }
        }
        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            ultraGrid1.DisplayLayout.Bands[0].Columns["IntColumn"].ValueList = intLookupMngt.CreateDropdown();
            ultraGrid1.DisplayLayout.Bands[0].Columns["StrColumn"].AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;
            //ultraGrid1.DisplayLayout.Bands[0].Columns["StrColumn"].ValueList = strLookupMngt.CreateDropdown();
            //ultraGrid1.DisplayLayout.Bands[0].Columns["StrColumn"].ValueList = strLookupMngt.CreateDropdown();

        }
        public void SetGrid()
        {
            GridObjectList = new List<GridObject>();
            GridObjectList.Add(new GridObject());
            GridObjectList.Add(new GridObject());

        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            e.Row.Cells["StrColumn"].ValueList = strLookupMngt.CreateDropdown();
        }
    }
}
